Bug 465601 - Review Request: libnxml - C library for parsing, writing and creating XML
Review Request: libnxml - C library for parsing, writing and creating XML
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 06:06 EDT by Andreas Bierfert
Modified: 2008-10-26 14:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-26 14:02:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2008-10-04 06:06:16 EDT
Spec URL: http://fedora.lowlatency.de/review/libnxml.spec
SRPM URL: http://fedora.lowlatency.de/review/libnxml-0.18.3-1.fc9.src.rpm
Description:
nXML is a C library for parsing, writing and creating XML 1.0 and 1.1 files
or streams. It supports utf-8, utf-16be and utf-16le, ucs-4 (1234, 4321, 2143,
2312).
Comment 1 Andreas Bierfert 2008-10-04 06:08:47 EDT
Nice to have for new gimmix version.
Comment 2 Michael Schwendt 2008-10-16 17:59:35 EDT
* pkgconfig file contains hardcoded /lib in libdir. This will
break on lib64 platforms. MUST be fixed.


$ rpmlint libnxml-devel-0.18.3-1.fc9.i386.rpm 
libnxml-devel.i386: W: no-documentation

* BR doxygen graphviz - then run "doxygen doxy.conf" in %build
to generate API documentation in ./doc/html

APPROVED
Comment 3 Andreas Bierfert 2008-10-22 16:42:57 EDT
Thanks for the review. Will be fixed upon import.

New Package CVS Request
=======================
Package Name: libnxml
Short Description: C library for parsing, writing and creating XML
Owners: awjb
Branches: F-8 F-9
Comment 4 Kevin Fenzi 2008-10-23 16:11:00 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.